你的位置:首页 > 操作系统

[操作系统]Android5.0.1源码编译


On Ubuntu14.04

5.0.1 requires OpenJDK on linux
refer to build/core/main.mk, line 177

Configure:
$ source build/envsetup.sh
$ lunch

Error:
make: *** [out/host/linux-x86/bin/validatekeymaps] Error 127
$ sudo apt-get install g++-multilib
make: *** [out/host/linux-x86/obj32/EXECUTABLES/aidl_intermediates/aidl_language_y.cpp] Error 1
$ sudo apt-get install bison
out/host/linux-x86/bin/aapt: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
$ sudo apt-get install lib32z1
make: *** [out/target/product/generic/obj/GYP/shared_intermediates/blink/platform/ColorData.cpp] Error 127
$ sudo apt-get install libswitch-perl
$ sudo apt-get install gperf
/bin/bash: $ sudo apt-get install lib

Run:
$ emulator